Administrator

GET /core/v1/admin/audit/{id}

Administrator · GET /core/v1/admin/audit/{id}

Authentication

Administrator. Session/administrative writes are not executed in the public Playground.

Endpoint

curl --request GET 'https://api.oneaster.ai/core/v1/admin/audit/1' \
  --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN"

Parameters

- id (path, Required): {"type":"string","pattern":"^[0-9]+$"}

Responses

200

不可变操作日志详情

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": true
        },
        "data": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "id": {
              "type": "string",
              "pattern": "^[0-9]+$"
            },
            "actor_id": {
              "anyOf": [
                {
                  "type": "string",
                  "pattern": "^[0-9]+$"
                },
                {
                  "type": "null"
                }
              ]
            },
            "actor_username": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "action": {
              "type": "string"
            },
            "object_type": {
              "enum": [
                "user",
                "key",
                "channel",
                "model",
                "request",
                "task",
                "system"
              ]
            },
            "object_id": {
              "type": "string"
            },
            "details": {
              "type": "object",
              "additionalProperties": false,
              "properties": {
                "user_id": {
                  "type": "string",
                  "pattern": "^[0-9]+$"
                },
                "key_id": {
                  "type": "string",
                  "pattern": "^[0-9]+$"
                },
                "provider_id": {
                  "type": "string",
                  "pattern": "^[0-9]+$"
                },
                "model_id": {
                  "type": "string",
                  "pattern": "^[0-9]+$"
                },
                "version": {
                  "type": "integer",
                  "minimum": 1
                },
                "enabled": {
                  "type": "boolean"
                },
                "amount_micro": {
                  "type": "string",
                  "pattern": "^[0-9]+$",
                  "description": "整数账务单位;1 积分 = 10000 单位,1 USD = 100 积分。前端用 BigInt。"
                },
                "budget_micro": {
                  "type": "string",
                  "pattern": "^[0-9]+$",
                  "description": "整数账务单位;1 积分 = 10000 单位,1 USD = 100 积分。前端用 BigInt。"
                },
                "reference": {
                  "type": "string",
                  "maxLength": 300
                },
                "routing_group": {
                  "type": "string"
                },
                "admin": {
                  "type": "boolean"
                }
              },
              "required": []
            },
            "created_at": {
              "type": "string",
              "format": "date-time"
            }
          },
          "required": [
            "id",
            "actor_id",
            "actor_username",
            "action",
            "object_type",
            "object_id",
            "details",
            "created_at"
          ]
        }
      },
      "required": [
        "success",
        "data"
      ]
    }
  }
}

default

错误代码见 core-api.md;供应商/数据库错误已隐藏。

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": false
        },
        "error": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "code": {
              "type": "string"
            },
            "message": {
              "type": "string"
            },
            "type": {
              "const": "oneaster_error"
            }
          },
          "required": [
            "code",
            "message",
            "type"
          ]
        },
        "data": {
          "type": "null"
        }
      },
      "required": [
        "success",
        "error",
        "data"
      ]
    }
  }
}